﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GGwp
{
    /// <summary>
    /// Логика взаимодействия для Authoriz.xaml
    /// </summary>
    public partial class Authoriz : Page
    {

        public TradePrytovEntities DB = new TradePrytovEntities();
        bool CapaFlag = false;
        System.Windows.Threading.DispatcherTimer timer = new System.Windows.Threading.DispatcherTimer();
        public Authoriz()
        {
            InitializeComponent();
        }

        private void GoAuth(object sender, RoutedEventArgs e)
        {
            if (EnteredLogin.Text != null && EnteredLogin.Text != "" && EnteredPass.Text != null && EnteredPass.Text != "")
            {
                User user = DB.User.Where(x => x.UserLogin == EnteredLogin.Text && x.UserPassword == EnteredPass.Text).FirstOrDefault();
                if (user != null && CapaFlag == false)
                {
                    MainFRM.mFrame.Navigate(new Guest(user.UserID));
                }
                else if (user != null && CapaFlag == true)
                {
                    if (CapaText.Text.ToUpper() == "A4B1".ToUpper())
                    {
                        MainFRM.mFrame.Navigate(new Guest(user.UserID));
                    }
                    else
                    {
                        MessageBox.Show("Текст капчи введён неправильно");
                        AuthUser.IsEnabled = false;
                        AuthGuest.IsEnabled = false;
                        timer.Tick += new EventHandler(timerTick);
                        timer.Interval = new TimeSpan(0, 0, 10);
                        timer.Start();

                    }
                }
                else if (user == null && CapaFlag == true)
                {
                    MessageBox.Show("Вас не существует, либо данные нерпавильные");
                    AuthUser.IsEnabled = false;
                    AuthGuest.IsEnabled = false;
                    timer.Tick += new EventHandler(timerTick);
                    timer.Interval = new TimeSpan(0, 0, 10);
                    timer.Start();
                }
                else
                {
                    MessageBox.Show("Вас не существует, либо данные нерпавильные");
                    Capa.Visibility = Visibility.Visible;
                    CapaFlag = true;
                }
            }
            else
            {
                MessageBox.Show("Вы не заполнили одно из полей");
            }
        }

        private void GoGuest(object sender, RoutedEventArgs e)
        {
            MainFRM.mFrame.Navigate(new Guest());
        }

        private void timerTick(object sender, EventArgs e)
        {
            AuthUser.IsEnabled = true;
            AuthGuest.IsEnabled = true;
        }


    }
}
